Bug 801931 - [RFE] Expand current 'update dns entries' permission to be per-domain level?
Summary: [RFE] Expand current 'update dns entries' permission to be per-domain level?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-09 21:15 UTC by Jason Montleon
Modified: 2013-02-21 09:10 UTC (History)
2 users (show)

Fixed In Version: ipa-3.0.0-1.el6
Doc Type: Enhancement
Doc Text:
Feature: Allow Administrators delegate write privileges to selected zone only. Reason: When Administrator wanted to delegate privileges to update DNS zone to other Identity Management user, he had to allow write access to entire DNS tree which may not be always appropriate. Result (if any): Administrator can use dnszone-add-permission command to create a system permission allowing its assignee to read and write only a selected DNS zone managed by Identity Management.
Clone Of:
Environment:
Last Closed: 2013-02-21 09:10:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0528 normal SHIPPED_LIVE Low: ipa security, bug fix and enhancement update 2013-02-21 08:22:21 UTC

Description Jason Montleon 2012-03-09 21:15:40 UTC
Description of problem:
Right now it does not look as though there is a way to restrict access for users so that they can only edit specific zones. In a large enough organization it is unreasonable to expect that there are not different groups responsible for maintaining different zones.

Version-Release number of selected component (if applicable):
ipa-server-2.1.3-9.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install IPA
2. update dns entries permission to users
3. Try to restrict access to specific domains
  
Actual results:
No way to limit access

Expected results:
There should be a way to limit access

Additional info:
Even better would be the ability to go so far as to edit a specific PTR/A/CNAME record. This might be useful for self service scenarios where a user has been given a static lease in order to allow them to update their dns name on their own.

For an A record, allow them to change the name but not the ip address, and so on.

Comment 2 Martin Kosek 2012-03-12 08:09:19 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/2511

Comment 3 Martin Kosek 2012-06-28 13:28:25 UTC
Fixed upstream:
master: https://fedorahosted.org/freeipa/changeset/52f69aaa8ab4d633bbeb96799bf96e8a715d0ae0

With this fix, you can use new command "dnszone-add-permission $ZONE" to generate a system permission that grants its members read and write permissions to given $ZONE (and not to any other zone).

Comment 5 Namita Soman 2012-11-27 05:14:54 UTC
Verified using ipa-server-3.0.0-8.el6.x86_64

Results of automated tests:
   [   PASS   ]      ipa-rbac-1010 - Can list zone managed by user
   [   PASS   ]      ipa-rbac-1011 - Cannot list zone not managed by user
   [   PASS   ]      ipa-rbac-1012 - Cannot add permission for zone not managed by user
   [   PASS   ]      ipa-rbac-1013 - Cannot add a new zone
   [   PASS   ]      ipa-rbac-1014 - Cannot delete zone managed by user
   [   PASS   ]      ipa-rbac-1015 - Cannot edit managedBy attr for zone managed by user
   [   PASS   ]      ipa-rbac-1016 - Can enable/disable zone managed by user
   [   PASS   ]      ipa-rbac-1017 - Cannot enable/disable zone not managed by user
   [   PASS   ]      ipa-rbac-1018 - Can read Global configuration, but cannot modify it
   [   PASS   ]      ipa-rbac-1019 - Can add/delete/modify/find DNS records
   [   PASS   ]      ipa-rbac-1020 - Cannot remove permission to manage this zone
   [   PASS   ]      ipa-rbac-1021 - Verify can use dig to do DNS queries
   [   PASS   ]      ipa-rbac-1022 - User with permission removed can no longer access the zone

Comment 7 errata-xmlrpc 2013-02-21 09:10:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0528.html


Note You need to log in before you can comment on or make changes to this bug.